Bug 237321 - Latest fc5 kernel doesn't boot!
Latest fc5 kernel doesn't boot!
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 15:42 EDT by dpfiz
Modified: 2008-02-27 02:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 02:38:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
initrd file for non-booting kernel (1.79 MB, application/octet-stream)
2007-04-20 16:39 EDT, dpfiz
no flags Details
initrd file for ok (older) kernel (1.76 MB, application/octet-stream)
2007-04-20 16:41 EDT, dpfiz
no flags Details

  None (edit)
Description dpfiz 2007-04-20 15:42:07 EDT
Description of problem:


Version-Release number of selected component (if applicable):
2.6.20-1.2312.fc5


How reproducible:
ALWAYS

Steps to Reproduce:
1. beginning from kernel version 2.6.18-1.2239.fc5, use yum update 
and install the version 2.6.20-1.2312.fc5 
2. try to boot from selected kernel version
3. doesn't work!!!
  
Actual results:

After the lines "Found volume group "VolGroup00" using metadata type lvm2"
              "2 logical volume(s) in volume group "VolGroup00" now active"

we get the messed-up messages,

mkrootdev: expected fs options
mount: missing mount point
setuproot: moving /dev failed: No such file or directory
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
switchroot: mount failed: No such file or directory
Kernel panic - not syncing: Attempted to kill init!
  

Expected results:
Booting from init, with kernel 2.6.18-1.2239.fc5 we get
INIT: version 2.86 booting
etc, etc..
instead of the stuff above starting with "mkrootdev..."

Additional info:
Here is my fstab file, looks normal,
/dev/VolGroup00/LogVol00 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0
/dev/VolGroup00/LogVol01 swap                    swap    defaults        0 0
/dev/sda1   /mnt/windows   ntfs  ro,defaults,umask=0222                 0 0
/dev/VolGroup00/LogVol00                /               ext3    defaults 1 2
Comment 1 Chuck Ebbert 2007-04-20 15:48:27 EDT
Please upload your initrd file.

The name of the file is in /etc/grub.conf, on the "initrd" line.
Comment 2 dpfiz 2007-04-20 16:39:17 EDT
Created attachment 153212 [details]
initrd file for non-booting kernel

as requested.
Comment 3 dpfiz 2007-04-20 16:41:24 EDT
Created attachment 153215 [details]
initrd file for ok (older) kernel
Comment 4 Chuck Ebbert 2007-04-20 17:50:49 EDT
That's the strangest initrd I've seen.
Please upload the working one.

Last few lines of broken init script:

echo Activating logical volumes
lvm vgchange -ay --ignorelockingfailure  VolGroup00
resume /dev/VolGroup00/LogVol01
echo Creating root device.
mkrootdev -t ext3
ext3 -o defaults,ro
defaults,ro /dev/VolGroup00/LogVol00
/dev/VolGroup00/LogVol00
echo Mounting root filesystem.
mount /sysroot
echo Setting up other filesystems.
setuproot
echo Switching to new root and running init.
switchroot
Comment 5 Chuck Ebbert 2007-04-20 18:08:44 EDT
So instead of:

mkrootdev -t ext3 -o defaults,ro /dev/VolGroup00/LogVol00

the new initrd has

mkrootdev -t ext3<newline>ext3 -o defaults,ro<newline>defaults,ro ...

Comment 6 Chuck Ebbert 2007-04-24 19:14:37 EDT
(In reply to comment #3)
> Created an attachment (id=153215) [edit]
> initrd file for ok (older) kernel
> 

OK, can you post contents of /etc/fstab?
Somehow the parsing of that file has gone wrong.
Comment 7 dpfiz 2007-04-25 01:58:44 EDT
Here is my fstab file, looks normal,
/dev/VolGroup00/LogVol00 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0
/dev/VolGroup00/LogVol01 swap                    swap    defaults        0 0
/dev/sda1   /mnt/windows   ntfs  ro,defaults,umask=0222                 0 0
/dev/VolGroup00/LogVol00                /               ext3    defaults 1 2
Comment 8 dpfiz 2007-04-25 02:00:38 EDT
Note: The above is with the working kernel version. I cannot access the fstab
file with the kernel which won't boot ???!!!?
Comment 9 dpfiz 2007-04-25 10:10:16 EDT
(In reply to comment #8)
> Note: The above is with the working kernel version. I cannot access the fstab
> file with the kernel which won't boot ???!!!?

Never mind this comment...the fstab file is permanent. I was thinking about the
mtab file. 
Comment 10 Chuck Ebbert 2007-04-25 11:02:02 EDT
(In reply to comment #7)
> Here is my fstab file, looks normal,

There are two entries for your root filesystem there.
Remove one and everything should work OK after rebuilding the initrd.
(And do you have any idea how that happened?)

mkinitrd will put both sets of options from both fstab entries into the
mkrootdev command it builds. This is the real bug.
Comment 11 dpfiz 2007-04-25 21:06:29 EDT
Hi, Thanks for the suggestion...unfortunately it still leads to the same result.
(I removed the last line from the fstab file I quoted above).
Incidentally, I guess that extra mount line for the top filesystem appeared when
I looked up how to mount my other partition and cut and pasted the directions.
In any case, it hasn't caused any problems thus far.
Comment 12 Chuck Ebbert 2007-04-26 11:24:26 EDT
(In reply to comment #11)
> Hi, Thanks for the suggestion...unfortunately it still leads to the same result.
> (I removed the last line from the fstab file I quoted above).

You need to rebuild your initrd with mkinitrd.
(Or just uninstall and reinstall the kernel.)
Comment 13 dpfiz 2007-04-26 17:32:42 EDT
Thank you very much. It boots fine now !!!

There are other issues that I need to resolve though...
Comment 14 petrosyan 2008-02-27 02:38:29 EST
This bug seems to have been fixed.

Note You need to log in before you can comment on or make changes to this bug.